Subject: [os2genau_digest] No. 2063
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 12 Aug 2011 00:00:39 WST-8WST,10,1,0,7200,4,1,0,7200,0

**************************************************
Thursday 11 August 2011
 Number  2063
**************************************************

Subjects for today
 
1   Editor for large files? : Peter Moylan <peter at pmoylan dot org>
2  Re:  Editor for large files? : Dennis Nolan <dennis at jeg-og dot com>
3  Re:  Editor for large files? : Peter Moylan <peter at pmoylan dot org>
4  Re:  Editor for large files? : Dennis Nolan <dennis at jeg-og dot com>
5  Re:  Editor for large files? : Peter Moylan <peter at pmoylan dot org>
6  Re:  Editor for large files? : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 11 Aug 2011 20:17:22 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Editor for large files?

Can anyone recommend a text editor or viewer for large files? I've just
discovered that a spammer is relaying through me. I've blacklisted his
IP address, but I need to look at the mail log to find out which
password has been compromised, and it turns out that the log file is 103
MB. That's big enough to crash EPM, which was my previous large file
solution.

I've tried EDA, which is the only OS/2 editor whose description on
os2site mentions "large files". (A similar search on Google is useless
because Google doesn't know the difference between OS/2 and OS X.)
Unfortunately that one crashes on startup, which is probably the reason
I've never heard of it.

I started writing one of my own years ago, but other projects
intervened. I worked out how to handle large files, but never got around
to implementing any editing commands. Obviously I'd better revive that
project, at least to the point of making it a viewer.

For now I'm going to archive the log file (usually I do that
automatically once a month), unblock the spammer, and see whether he
comes back long enough for me to see a login.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Thu, 11 Aug 2011 20:22:49 +1000
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Editor for large files?

Hi

When I had to access super large files I resorted to a hex editor.
They are usually easy to search for text.
Can not remember the name at the moment.

Dennis.

On 11/08/2011 8:17 PM, Peter Moylan wrote:
> Can anyone recommend a text editor or viewer for large files? I've just
> discovered that a spammer is relaying through me. I've blacklisted his
> IP address, but I need to look at the mail log to find out which
> password has been compromised, and it turns out that the log file is 103
> MB. That's big enough to crash EPM, which was my previous large file
> solution.
>
> I've tried EDA, which is the only OS/2 editor whose description on
> os2site mentions "large files". (A similar search on Google is useless
> because Google doesn't know the difference between OS/2 and OS X.)
> Unfortunately that one crashes on startup, which is probably the reason
> I've never heard of it.
>
> I started writing one of my own years ago, but other projects
> intervened. I worked out how to handle large files, but never got around
> to implementing any editing commands. Obviously I'd better revive that
> project, at least to the point of making it a viewer.
>
> For now I'm going to archive the log file (usually I do that
> automatically once a month), unblock the spammer, and see whether he
> comes back long enough for me to see a login.
>
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Thu, 11 Aug 2011 20:34:59 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Editor for large files?

Dennis Nolan wrote:
>
> When I had to access super large files I resorted to a hex editor.
> They are usually easy to search for text. Can not remember the name
> at the moment.

Thank you. It worked! (The hex editor I use is called hed_os2.exe). Now
if the authors of a hex editor know how to buffer a file one screenful
at a time in memory, how come the authors of text editors never figured
out the same trick?

Now I'm busily copying and pasting a section of file into a text editor,
in the hope that it will let me find and decode the BASE64 string that
the spammer used in an AUTH command.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Thu, 11 Aug 2011 20:41:53 +1000
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Editor for large files?

Hi Peter

The used to.
The first editor I used after moving on from cards was called Tyco.
Apart from buffering input it had some handy programming enhancements 
like 4 stacks( they called them wells but they worked like a stack)
They were great for entering the repeditive definitions for COBOL programs.

Also the old dos editor, edline I think it was called required you to 
read lines into the buffer before editing them.

Dennis.

PS
Has anyone tried running ecs on a mac?

On 11/08/2011 8:34 PM, Peter Moylan wrote:
> Dennis Nolan wrote:
>> When I had to access super large files I resorted to a hex editor.
>> They are usually easy to search for text. Can not remember the name
>> at the moment.
> Thank you. It worked! (The hex editor I use is called hed_os2.exe). Now
> if the authors of a hex editor know how to buffer a file one screenful
> at a time in memory, how come the authors of text editors never figured
> out the same trick?
>
> Now I'm busily copying and pasting a section of file into a text editor,
> in the hope that it will let me find and decode the BASE64 string that
> the spammer used in an AUTH command.
>
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Thu, 11 Aug 2011 21:21:05 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Editor for large files?

Dennis Nolan wrote:
>
> The used to. The first editor I used after moving on from cards was
> called Tyco. Apart from buffering input it had some handy programming
> enhancements like 4 stacks( they called them wells but they worked
> like a stack) They were great for entering the repeditive definitions
> for COBOL programs.
>
> Also the old dos editor, edline I think it was called required you to
> read lines into the buffer before editing them.

By coincidence, this afternoon I was walking through the city and I
passed the building where I saw my first ever IBM-PC. Someone had called
me in to help on some problem, and I wasted the first bit of time trying
to find a useable editor. Eventually I had to settle for edlin. At the
end of that session I walked away thinking "This IBM-PC will never be a
success. That's the worst-designed operating system and the worst editor
I've ever seen."

It was true, though, that every text editor in those days buffered its
input, and could therefore handle files of arbitrary size. In those days
I used WordStar in CP/M, both for programming and for general document
editing. One of its nice features was that if you moved the cursor too
fast for it to follow, e.g. jumping through pages, it would recognise
this and inhibit screen updating until it had time to catch up. That
meant you could jump quickly through sections. Other editors were slow
on big files because of all the screen rewriting.

These days, almost all programmers read the _entire_ input file into
memory before working on it. They assume infinite amounts of virtual
memory. Anyone with that attitude would have failed my programming
subjects when I was teaching them. In fact, I remember someone failing
because he tried to write a compiler that way. (But I guess the failure
was also because his compiler didn't work.)

> PS Has anyone tried running ecs on a mac?

I'm a regular on a Usenet newsgroup (alt.usage.english), and another
regular there runs ProNews for OS/2 as his news reader, even though he
has a Mac. He's running OS/2 in a virtual machine. I don't know which
version. I'll try to remember his name the next time I see him doing
that. Mostly, of course, the topic doesn't get mentioned, and I don't
read the message headers.

On my spam problem: once I used a hex editor as you suggested, I quickly
discovered the leak: I had set up an account called "test", and
forgotten to delete it. Now I just have to figure out which relay
blacklist I'm on. It's not SORBS. Meanwhile, I've blocked one more IP
address in China. Sometimes I think it would be simpler just to block
all of China. If Google can do it, why not me?

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   6 ==========================**

Date:  Thu, 11 Aug 2011 23:06:59 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Editor for large files?

 On Thu, 11 Aug 2011 20:41:53 +1000 Dennis Nolan wrote: 

Hi Dennis.

>Hi Peter
>
>The used to.
>The first editor I used after moving on from cards was called Tyco.

Sounds like a conglomerate company I know. TYCO = Take Your Company Over (internal joke because of the different companies in their group). 

>Apart from buffering input it had some handy programming enhancements like 4 stacks( they called them wells but they worked like a stack)
>They were great for entering the repeditive definitions for COBOL programs.
>
>Also the old dos editor, edline I think it was called required you to read lines into the buffer before editing them.

Actually edlin wasn't that bad for a first PC editor, in the days before graphic monitors and windowing systems. It was a line by line editor (hence the boring name), rather than a full screen and for big files you actually had to write lines out to disk before reading any more in - hence the buffering concept. 

Presumably the design philosophy was migrated straight from mainframes.

Best regards
John Angelico
Former OS/2 SIG
talldad at kepl dot com dot au
___________________
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===